Skip to main content
Update template metadata

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.

Path Parameters

id
string<uuid>
required

Body

application/json

Template update data

name
string
Required string length: 1 - 255
type
string
Maximum string length: 100
user_name
string
Maximum string length: 100
icon_emoji
string
Maximum string length: 100

Response

Template updated successfully

id
string
required
name
string | null
required
type
string | null
required
user_name
string | null
required
icon_emoji
string | null
required
updated_at
string
required
message
string
required